PETSc version 3.15.5
Fix/Edit manual page

# PetscSFCreateRemoteOffsets

Create offsets for point data on remote processes

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateRemoteOffsets(PetscSF sf, PetscSection rootSection, PetscSection leafSection, PetscInt **remoteOffsets)

Collective on sf

### Input Parameters

| sf | - The SF
| rootSection | - Data layout of remote points for outgoing data (this is layout for SF roots)
| leafSection | - Data layout of local points for incoming data (this is layout for SF leaves)

### Output Parameter

| remoteOffsets | - Offsets for point data on remote processes (these are offsets from the root section), or NULL

### See Also

PetscSFCreate()

### Level

developer

### Location

src/vec/is/sf/utils/sfutils.c
Index of all SF routines
Table of Contents for all manual pages
Index of all manual pages